PHP-инклюдинг в продуктах PictureDis

Дата публикации:
26.06.2006
Дата изменения:
17.10.2006
Всего просмотров:
1355
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PictureDis Professional 1.x
PictureDis Photoalbum 4.x
Уязвимые версии:
PictureDis Professional 1.33 Build 234
PictureDis Photoalbum 4.82

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "lang" в сценариях thumstbl.php, wpfiles.php и wallpapr.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

thumstbl.php?lang=[ur phpshell ]
wpfiles.php?lang=[ur phpshell ]
wallpapr.php?lang=[ur phpshell ]

URL производителя: www.picturedis.org

Решение: Установите исправление с сайта производителя.

Ссылки: PictureDis Products "lang" Parameter File Inclusion Vulnerability

или введите имя

CAPTCHA